/*
 * Copyright (C) 2008, 2009 Ingo Luetkebohle <iluetkeb@techfak.uni-bielefeld.de>
 * Made available under the terms of the GNU General Public License v3
 */

package de.unibi.agai.xml;

import de.unibi.agai.xml.transport.TransportConversionException;

/**
 *
 * @author ingo
 */
public class NonEmptyPolicy<T> implements ValuePolicy<T> {

    public T check(T value) throws TransportConversionException {
        if(value == null)
            throw new TransportConversionException("String value empty.");
        return value;
    }

}
