/*
 * Copyright 2008, 2009 Bielefeld University
 * Copyright 2008, 2009 Ingo Luetkebohle <ingo@fargonauten.de>
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package de.unibi.agai.xml.transport;

/**
 *
 * @author iluetkeb
 */
public class LongChildTransportAdapter extends ChildTransportAdapter<Long> {

    public LongChildTransportAdapter() {
        super(Long.class, "Long");
    }

    @Override
    protected Long parseFromString(String value) {
        return Long.parseLong(value);
    }

    @Override
    protected String toString(Long value) {
        return Long.toString(value);
    }

}
