/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package net.sf.xcf.fts.marks;

import net.sf.xcf.fts.Node;

/**
 * Tagging interface for node makers.
 * 
 * @author iluetkeb
 */
public interface Marked {
    /** Default scope. */
    public static final String SCOPE_DEFAULT = "scope.";

    /**
     * Returns the marked node.
     */
    Node<?, ?> getNode();

    /**
     * Check wether the given scope contains the scope of this Marked.
     * At the moment, this is only true when the scopes are equal.
     */
    boolean isInScope(String scope);
}
