/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package net.sf.xcf.fts.nodes;

import net.sf.xcf.fts.annotations.NodeName;
import net.sf.xcf.fts.nodes.transform.AbstractTransformNode;

/**
 *
 * @author iluetkeb
 */
@NodeName("PrintData")
public class PrintDataNode extends AbstractTransformNode {

    private final String prefix;
    public PrintDataNode() {
        this("");
    }
    public PrintDataNode(String prefix) {
        this.prefix = prefix;
    }

    @Override
    protected final Object transform(Object input) throws Exception {
        System.out.print(prefix);
        System.out.println(input);
        return input;
    }

}
