/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package net.sf.xcf.fts.nodes.transform.list;

import java.util.List;
import net.sf.xcf.fts.annotations.NodeName;
import net.sf.xcf.fts.nodes.transform.AbstractTransformNode;

/**
 *
 * @author ingo
 */
@NodeName("TakeNth")
public class TakeNth<T> extends AbstractTransformNode<List<? extends T>, T> {

    private final int n;
    
    public TakeNth(Integer n) {
        this.n = n;
    }

    @Override
    protected T transform(List<? extends T> input) throws Exception {
        if(input.size() > n)
            return input.get(n);
        else
            return null;
    }

}
