/*
 * Copyright 2008, 2009 Bielefeld University
 * Copyright 2008, 2009 Ingo Luetkebohle, Sebastian Wrede, Jan Schaefer
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.sf.xcf.fts.engine;

/**
 * An error handler that always terminates execution.
 *
 * @author iluetkeb
 */
public class TerminatingNodeErrorHandler implements NodeErrorHandler {

    public void eventHandlingFailed(NodeErrorEvent evt) throws TerminateEngineException {
        throw new TerminateEngineException(evt.toString(), evt.getError());
    }

}
