/**
 * Copyright 2008, 2009 Bielefeld University
 * Copyright 2009 David Klotz <mail -at- planetraven -dot- de>
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package net.sf.xcf.fts.engine.jmx;

/**
 * A class that can somehow handle the wrapped engine events (see
 * {@link EngineEventWrapper}).
 * 
 * @author dklotz
 */
public interface EngineEventHandler {

    /**
     * Handle a wrapped engine event.
     * 
     * @param event
     *            The event, never null.
     */
    public void handleEvent(EngineEventWrapper event);
}