/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package net.sf.xcf.fts.nodes.pair;

import net.sf.xcf.fts.Pair;
import net.sf.xcf.fts.annotations.NodeName;
import net.sf.xcf.fts.nodes.transform.AbstractTransformNode;

/**
 * Returns the first element from a pair.
 *
 * @author ingo
 */
@NodeName("TakeFirst")
public class TakeFirstTransform<T> extends AbstractTransformNode<Pair<? extends T, ?>, T>{

    @Override
    protected T transform(Pair<? extends T, ?> input)  {
        return input.first;
    }

}
