/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package net.sf.xcf.fts.nodes.time;

import net.sf.xcf.fts.annotations.NodeName;
import net.sf.xcf.fts.nodes.transform.AbstractTransformNode;

/**
 * Returns the current time in milliseconds, regardless of input.
 *
 * @author iluetkeb
 */
@NodeName("CurrentTimeMillis")
public class CurrentTimeMillis extends AbstractTransformNode<Object,Long> {

    @Override
    protected Long transform(Object input) throws Exception {
        return System.currentTimeMillis();
    }

}
