/*
 * Copyright 2008, 2009 Bielefeld University
 * Copyright 2008, 2009 Ingo Luetkebohle, Patrick Holthaus
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.sf.xcf.fts.serial.transducer;

import net.sf.xcf.fts.Pair;

/**
 * Simple transducer that transforms input states to output states.
 *
 * @author iluetkeb
 */
public interface InputTransducer<SO extends Enum<SO>, T> extends Transducer<T, Pair<SO, T>> {
    Pair<SO, T> transduce(T data);
}
